/* #region ===== Search Bar ===== */

.search-bar {
  display: flex;
  background-color: var(--dark-blue);
  border-radius: 10px;
  width: fit-content;
  caret-color: var(--white);
  transition: box-shadow 0.25s ease;
  align-items: center;
  transition: transform 0.25s;
}

.search-bar:active {
  transform: scale(0.95);
}

.search-icon {
  width: clamp(22px, 19.43px + 0.804vw, 31px);
  height: clamp(22px, 19.43px + 0.804vw, 31px);
  padding: 2px;
  color: var(--light-blue);
  cursor: pointer;
}

.search-input {
  color: var(--white);
  font-size: var(--search-input);
  background-color: var(--dark-blue);
  font-family: "Cal Sans";
  padding: 0;
  border: none;
  border-radius: 10px;
  outline: none;
  width: 0;
  opacity: 0;
  transition:
    width 0.3s ease,
    opacity 0.3s ease,
    padding 0.3s ease;
  pointer-events: none;
}

.search-bar.open .search-input {
  width: clamp(140px, 128.57px + 3.571vw, 180px);
  opacity: 1;
  pointer-events: all;
  padding-left: 5px;
}

.search-input::placeholder {
  color: var(--light-blue);
}

/* #endregion */

/* #region ===== Filters ===== */

.filters-wrapper {
  margin-top: clamp(5px, 3.57px + 0.446vw, 10px);
  background-color: var(--background);
  position: sticky;
  top: clamp(30px, 27.86px + 0.67vw, 37.5px);
  padding: 10px 0;
  z-index: 10;
  overflow-x: auto;
  scrollbar-width: none;
}

.filters-wrapper::-webkit-scrollbar {
  display: none;
}

.filters {
  display: flex;
  gap: clamp(6px, 4.86px + 0.357vw, 10px);
  white-space: nowrap;
  width: fit-content;
  margin: 0 auto;
}

.filters button {
  all: unset;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--dark-blue);
  font-size: var(--filters);
  color: var(--light-blue);
  border-radius: 10px;
  padding: clamp(3px, 2.43px + 0.179vw, 5px) clamp(6px, 4.86px + 0.357vw, 10px);
  cursor: pointer;
  transition: transform 0.25s;
  touch-action: manipulation;
  -webkit-tap-highlight-color: transparent;
}

.filters button:active,
.filters button.pressed {
  transform: scale(0.95);
}

.filters button.active {
  background-color: var(--orange);
  color: var(--white-filter);
}

.filter-count {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  max-width: 0;
  max-height: 0;
  overflow: hidden;
  font-size: clamp(12px, 11.43px + 0.18vw, 14px);
  background-color: var(--white);
  border-radius: 99px;
  color: var(--orange);
  margin-left: 0;
  opacity: 0;
  transition:
    max-width 0.3s ease,
    max-height 0.3s ease,
    margin 0.3s ease,
    opacity 0.3s ease,
    padding 0.3s ease;
}

.filters button.active .filter-count {
  max-height: clamp(13px, 12.43px + 0.18vw, 15px);
  min-width: clamp(13px, 12.43px + 0.18vw, 15px);
  opacity: 1;
  padding: 3px;
  margin-left: 5px;
}

/* #endregion */

/* #region ===== Empty State ===== */

.empty-state-container {
  display: flex;
  width: 100%;
  justify-content: center;
}

.empty-state {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 20px;
  text-align: center;
}

.empty-svg {
  width: var(--empty-svg);
  height: var(--empty-svg);
  fill: var(--light-gray);
}

.empty-message {
  color: var(--light-gray);
  font-size: var(--empty-message);
  margin: 0;
}

/* #endregion */
